Package org.eclipse.osgi.service.resolver

# Interface StateDelta

public interface StateDelta
A state delta contains all the changes to bundles within a state.

This interface is not intended to be implemented by clients.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`BundleDelta[]`
`getChanges()`
Returns an array of all the bundle deltas in this delta regardless of type.
`BundleDelta[]`
`getChanges(int mask, boolean exact)`
Returns an array of all the members of this delta which match the given flags.
`ResolverHookException`
`getResovlerHookException()`
Returns the resolver hook exception if one occurred while resolving the state.
`State`
`getState()`
Returns the state whose changes are represented by this delta.

## Method Details

### getChanges

BundleDelta[] getChanges()
Returns an array of all the bundle deltas in this delta regardless of type.

Returns:
  an array of bundle deltas

### getChanges

BundleDelta[] getChanges(int mask, boolean exact)
Returns an array of all the members of this delta which match the given flags. If an exact match is requested then only delta members whose type exactly matches the given mask are included. Otherwise, all bundle deltas whose type's bit-wise and with the mask is non-zero are included.

Parameters:
  `mask` - match mask
  `exact` - whether exact match or bit-wise matching should be performed
Returns:
  an array of bundle deltas matching the given match criteria.

### getState

State getState()
Returns the state whose changes are represented by this delta.

Returns:
  the state

### getResovlerHookException

ResolverHookException getResovlerHookException()
Returns the resolver hook exception if one occurred while resolving the state.

Since:
  3.7